Bug 1330090 - Fails to connect to ethernet after update to 1:NetworkManager-1.2.0-0.1.beta3.el7.x86_64
Summary: Fails to connect to ethernet after update to 1:NetworkManager-1.2.0-0.1.beta3...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Rashid Khan
QA Contact: Desktop QE
URL:
Whiteboard:
: 1330866 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 11:56 UTC by Milan Crha
Modified: 2016-11-03 19:09 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.2.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:09:00 UTC


Attachments (Terms of Use)
nm.log (96.43 KB, text/plain)
2016-04-26 12:20 UTC, Milan Crha
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Milan Crha 2016-04-25 11:56:54 UTC
I just updated my RHEL 7 instance to the latest available (I can give a list of all updated packages, if needed) and since restart the NetworkManager 1.2.0-0.1.beta3 claims that there is no connection available, despite me being connected over ethernet cable. The gnome-shell claims I've the Airplane mode on, and that I should turn it off by a hardware switch, but that's nonsense, because the only thing I have the hardware switch for is Wi-Fi and it is turned off. The connection also worked flawlessly before the update, I downloaded all the packages with it. The laptop sits in a docking station, if it matters.

Comment 3 Thomas Haller 2016-04-25 14:21:17 UTC
Please provide the logfile of NetworkManager.

Preferably with debug-logging enabled, by configuring it in /etc/NetworkManager/NetworkManager.conf and restarting.

Configure there:

  [logging]
  level=TRACE


(but for completeness, the logging parts without debug-logging when you experienced the problem the first time, are interesting too).

thank you.

Comment 4 Milan Crha 2016-04-26 12:20:37 UTC
Created attachment 1150917 [details]
nm.log

The NetworkManager log captured by:
$ cat /var/log/messages | grep NetworkManager | grep "Apr 26" >nm.log

Comment 5 Thomas Haller 2016-04-26 12:35:31 UTC
Or can you give more specifics about the installed versions (kernel-version, libnl3-version)

You started with rhel-7.2, and upgraded to 7.3 beta? How exactly did you do that, for me to reproduce?

Thank you.

Comment 6 Milan Crha 2016-04-26 13:15:44 UTC
Right, I thought it'll be better to give you my package versions, thus I tried to get the right one meanwhile. It was a challenge, because I was downloading the older version from brew, from a Fedora installation. I ended with this:

   $ rpm -qa | egrep -e "NetworkManager|libnm|network-manager" | sort

On the working version, where gnome-shell claims:
- Wired connection (online, I can ping external servers)
- WiFi connection (off by hardware switch)
- Airplane Mode (on by hardware switch - I've no idea where it gets it from)
the packages are:
	libnma-1.2.0-0.1.beta3.el7.x86_64
	libnm-gtk-1.0.6-2.el7.x86_64
	NetworkManager-1.0.6-29.el7_2.x86_64
	NetworkManager-adsl-1.0.6-29.el7_2.x86_64
	network-manager-applet-1.0.6-2.el7.x86_64
	NetworkManager-bluetooth-1.0.6-29.el7_2.x86_64
	NetworkManager-glib-1.0.6-29.el7_2.x86_64
	NetworkManager-libnm-1.0.6-29.el7_2.x86_64
	NetworkManager-libreswan-1.0.6-3.el7.x86_64
	NetworkManager-openconnect-0.9.8.6-2.el7.x86_64
	NetworkManager-openvpn-1.0.8-1.el7.x86_64
	NetworkManager-team-1.0.6-29.el7_2.x86_64
	NetworkManager-tui-1.0.6-29.el7_2.x86_64
	NetworkManager-vpnc-1.0.8-1.el7.x86_64
	NetworkManager-vpnc-gnome-1.0.8-1.el7.x86_64
	NetworkManager-wifi-1.0.6-29.el7_2.x86_64
	NetworkManager-wwan-1.0.6-29.el7_2.x86_64

On the non-working version, where gnome-shell claims only:
- Airplane Mode (on by hardware switch)
the packages are:
	libnma-1.2.0-0.1.beta3.el7.x86_64
	libnm-gtk-1.2.0-0.1.beta3.el7.x86_64
	NetworkManager-1.2.0-0.1.beta3.el7.x86_64
	NetworkManager-adsl-1.2.0-0.1.beta3.el7.x86_64
	network-manager-applet-1.2.0-0.1.beta3.el7.x86_64
	NetworkManager-bluetooth-1.2.0-0.1.beta3.el7.x86_64
	NetworkManager-glib-1.2.0-0.1.beta3.el7.x86_64
	NetworkManager-libnm-1.2.0-0.1.beta3.el7.x86_64
	NetworkManager-libreswan-1.2.0-0.1.beta3.el7.x86_64
	NetworkManager-openconnect-0.9.8.6-2.el7.x86_64
	NetworkManager-openvpn-1.0.8-1.el7.x86_64
	NetworkManager-team-1.2.0-0.1.beta3.el7.x86_64
	NetworkManager-tui-1.2.0-0.1.beta3.el7.x86_64
	NetworkManager-vpnc-1.0.8-1.el7.x86_64
	NetworkManager-vpnc-gnome-1.0.8-1.el7.x86_64
	NetworkManager-wifi-1.2.0-0.1.beta3.el7.x86_64
	NetworkManager-wwan-1.2.0-0.1.beta3.el7.x86_64

These are the only packages I changed to make it work (or break).

Comment 8 Thomas Haller 2016-04-27 09:23:17 UTC
*** Bug 1330866 has been marked as a duplicate of this bug. ***

Comment 9 Thomas Haller 2016-04-27 09:32:01 UTC
This bug happens, because the NetworkManger package was compiled against a newer kernel (from rhel-7.2), but now runs on an older one.

This was fixed upstream by commit https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=05e454a98d02e69afd28fe371be48b40c4069a76


When using 1.2.0-0.1.beta3, you also need a rhel-7.3 kernel.



A fixed package is on the way, which doesn't have this issue and would work with 7.2 kernel as well.

Comment 11 Milan Crha 2016-04-28 15:37:09 UTC
I can confirm that this package (together with the same version of network-manager-applet packages) fixed the network issue for me after reboot (re-login wasn't enough, which is expected).

Comment 13 Vladimir Benes 2016-06-06 10:51:07 UTC
tested with kernel 3.10.0-327.el7.x86_64 and NetworkManager-1.2.0-2.el7.x86_64 w/o any problem

Comment 15 errata-xmlrpc 2016-11-03 19:09:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.